﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraGridAutocomplete
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DataSource = GetDataTable();
        }

        private DataTable GetDataTable(int rows = 10)
        {
            DataTable table = new DataTable("Table1");

            table.Columns.Add("Integer column", typeof(int));
            table.Columns.Add("DateTime column", typeof(DateTime));
            table.Columns.Add("ValueList column", typeof(string));

            for (int i = 0; i < rows; i++)
            {
                DataRow row = table.NewRow();
                row["Integer column"] = i % 2 == 0 ? 5 : 9;
                row["DateTime column"] = DateTime.Today.AddDays(i);
                row["ValueList column"] = string.Empty;
                table.Rows.Add(row);
            }

            return table;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            var valueList = e.Layout.ValueLists.Add("ValueList");

            valueList.ValueListItems.Add("Michael");
            valueList.ValueListItems.Add("John");
            valueList.ValueListItems.Add("Bob");
            valueList.ValueListItems.Add("Bradly");

            e.Layout.Bands[0].Columns["ValueList column"].ValueList = valueList;
            e.Layout.Bands[0].Columns["ValueLIst column"].AutoCompleteMode = Infragistics.Win.AutoCompleteMode.SuggestAppend;
            this.ultraComboEditor1.ValueList = valueList;
            this.ultraComboEditor1.AutoCompleteMode = Infragistics.Win.AutoCompleteMode.SuggestAppend;
        }
    }
}
